package com.dxhy.admin.sys.service;

import java.util.List;
import java.util.Map;

import com.baomidou.mybatisplus.extension.service.IService;
import com.dxhy.admin.sys.entity.SysRoleEntity;
import com.dxhy.common.utils.PageUtils;

/**
 * 角色
 *
 * @author jiaohongyang
 */
public interface SysRoleService extends IService<SysRoleEntity> {
    /**
     * 查询角色信息
     * 
     * @param params
     *            查询条件
     * @return 角色信息分页
     */
    PageUtils queryPage(Map<String, Object> params);

    /**
     * 保存角色信息
     * 
     * @param role
     *            角色信息
     */
    void saveRole(SysRoleEntity role);

    /**
     * 修改角色信息
     * 
     * @param role
     *            角色信息
     */
    void update(SysRoleEntity role);

    /**
     * 根据角色id 查询角色信息
     * 
     * @param roleId
     *            角色id
     */
    void deleteBatch(Long roleId);

    /**
     * 根据集团编码查询所有角色信息
     * 
     * @param company
     *            集团编码
     * @return 角色信息
     */
    List<SysRoleEntity> selectCompany(String company);

    /**
     * 查询所有角色信息
     * 
     * @return 角色信息
     */
    List<SysRoleEntity> queryRoleList();

    /**
     * 根据橘色id 查询角色信息
     * 
     * @param id
     *            角色id
     * @return 返回角色信息
     */
    SysRoleEntity queryRoleById(Long id);

}
